Subject: bug#7359: sleep 9999999999

From: Matthew Bachmann <[email-masked]>
Date: Wed, 10 Nov 2010 13:20:16 -0500

Existing stuff:

matt@ita1bbx40,d1r17733u07 | strace -e nanosleep sleep 9999999999
nanosleep({9999999999, 0}, NULL)        = 0
matt@ita1bbx40,d1r17733u07 | rpm -qa | grep coreutils
policycoreutils-1.33.12-14.2.el5
coreutils-5.97-19.el5

With download you pointed me at:

matt@ita1bbx40,d1r17733u07 | strace -e nanosleep src/sleep 9999999999
nanosleep({4233600, 0},  <unfinished ...>
matt@ita1bbx40,d1r17733u07 | 

I ctrl-c'ed it because it appeared to be actually sleeping instead of returning immediately.  So yeah, it looks like it works fine with newer stuff.

-Matt

On Nov 9, 2010, at 5:33 PM, Pádraig Brady wrote:

> On 09/11/10 20:31, Matthew Bachmann wrote:
>> Here's what I'm running:
>> 
>> matt@ita1bbx40,d1r17733u07 | uname -a
>> Linux ita1bbx40 2.6.18-128.el5 #1 SMP Wed Jan 21 10:41:14 EST 2009 x86_64 x86_64 x86_64 GNU/Linux
>> matt@ita1bbx40,d1r17733u07 | cat /etc/issue
>> CentOS release 5.3 (Final)
>> Kernel \r on an \m
>> 
>> matt@ita1bbx40,d1r17733u07 | 
>> 
>> I'm in a large shared environment where I can't upgrade sleep.  I just wanted to bring this to your attention, I can work around and don't need a fix.  Thanks.
> 
> If you had a compiler, then doing the following would
> help us eliminate already handled issues:
> 
>  wget http://ftp.gnu.org/pub/gnu/coreutils/coreutils-8.6.tar.gz
>  gzip -dc coreutils-8.6.tar.gz | tar -x
>  cd coreutils-8.6
>  ./configure --quiet && make
>  strace -e nanosleep src/sleep 9999999999
> 
> If not then an strace of the existing binary would help
> 
>  strace -e nanosleep sleep 9999999999
> 
> I tried the command on 32 bit FC5 (coreutils-5.97, kernel-2.6.17) without issue.
> 
> cheers,
> Pádraig.